Subject: [Idr] BGP routes with color, Question 1: How does route resolution work with your feature?

From: Jeffrey Haas <[email-masked]>
Date: Fri, 18 Feb 2022 10:42:23 -0500

As promised during the recent IDR interim, we want to start a set of threads
to the IDR mailing list to clarify points discussed during that interim
about the BGP routes with color proposals.  These questions are directed to
the authors of those proposals.  The responses to those questions will be
used to drive Working Group discussion about the solution space.

Question 1: How does BGP route resolution operate with your proposal?

A BGP route, marked with a Color Extended Community C, and a nexthop NH1
needs to resolve using the proposal.  

>From the BGP routing state received from the proposed mechanism, how does
the resolving route make use of this state to decide its forwarding nexthop?

Be specific in terms of functional behavior.  There is no need to go into
implementation details unless they're helpful in explaining the functional
behavior.

If possible, please refer to relevant sections in your internet-drafts.

-- Jeff

---

From: Kaliraj Vairavakkalai <[email-masked]>
Date: Fri, 18 Feb 2022 19:42:45 +0000

Hi Jeff,

Thanks for the questions.

For CT, Nexthop resolution is described in section 5 and 7 of the draft.

How nexthop resolution happens in CT:

https://datatracker.ietf.org/doc/html/draft-kaliraj-idr-bgp-classful-transport-planes-13#section-5

Excerpt:

   Overlay routes that want to use a specific Transport Class confine

   the scope of nexthop resolution to the set of routes contained in the

   corresponding Transport RIB.  This Transport RIB is the "Routing

   Table" referred in Section 9.1.2.1<https://datatracker.ietf.org/doc/html/draft-kaliraj-idr-bgp-classful-transport-planes-13#section-9.1.2.1> RFC4271<https://datatracker.ietf.org/doc/html/rfc4271> (https://www.rfc-<https://www.rfc-editor.org/rfc/rfc4271#section-9.1.2.1>

   editor.org/rfc/rfc4271#section-9.1.2.1<https://www.rfc-editor.org/rfc/rfc4271#section-9.1.2.1>)

Basically, the “Route Resolvability Condition” procedures in RFC4271<https://datatracker.ietf.org/doc/html/rfc4271> sec 9.1.2.1 is followed,

but confining to the Transport RIB as the “Routing Table”. Transport RIB is nothing but the set of

routes that belong to Transport class identified by color C.

How transport class mapping and fallback happens:

                https://datatracker.ietf.org/doc/html/draft-kaliraj-idr-bgp-classful-transport-planes-13#section-7

                This section describes it in detail. In short,

  *   BGP route marked with Mapping community (e.g. Color Extended Community C, or Transport Target Extended community C).

The mapping-community maps to a locally defined ‘Resolution scheme’.

  *   The Resolution scheme consists of a primary transport class. And optionally, ordered list of one or more fallback

transport classes of other colors, including best-effort (tunnels that don’t have any color associated with them).

                e.g. IPv4-unicast routes received with Color:0:100 maps to a resolution scheme, that resolve over: Transport class 100, and fallback to best-effort tunnels.
                      BGP-CT routes received with transport-target:0:100 maps to a resolution scheme that resolve strictly over: Transport class 100, with no fallback.

Thanks
Kaliraj

From: Idr <[email-masked]> on behalf of Jeffrey Haas <[email-masked]>
Date: Friday, February 18, 2022 at 7:43 AM
To: [email-masked] <[email-masked]>
Subject: [Idr] BGP routes with color, Question 1: How does route resolution work with your feature?
[External Email. Be cautious of content]

-- Jeff

_______________________________________________
Idr mailing list
[email-masked]
https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/idr__;!!NEt6yMaO-gk!Xcr4YsmwbxVLaEtOZCiU3xIEFbwWK12WFSS48poFoDU9C35gJMFSHtSqBahCWODV$<https://urldefense.com/v3/__https:/www.ietf.org/mailman/listinfo/idr__;!!NEt6yMaO-gk!Xcr4YsmwbxVLaEtOZCiU3xIEFbwWK12WFSS48poFoDU9C35gJMFSHtSqBahCWODV$>

Juniper Business Use Only